$ui-color: #f2d600;
$linkedin-color: #0077b5;
$facebook-color: #3b5998;
$google-color: #4da1ff;

.btn.btn-default.btn-flat {
  position: relative;
  padding: 10px;
  border: 0;
  font-family: 'PT Sans', sans-serif;
  font-weight: 700;

  .logo {
    position: absolute;
    top: 0;
    left: 7px;
    height: 100%;
    display: flex;
    justify-content: center;
  }

  &.btn-ui {
    background-color: $ui-color;
    color: white;

    &:hover {
      background-color: darken($ui-color, 5);
    }

    &:active {
      background-color: darken($ui-color, 10);
    }
  }
  &.btn-linkedin {
    background-color: $linkedin-color;
    color: white;

    &:hover {
      background-color: darken($linkedin-color, 5);
    }

    &:active {
      background-color: darken($linkedin-color, 10);
    }
  }
  &.btn-facebook {
    background-color: $facebook-color;
    color: white;

    &:hover {
      background-color: darken($facebook-color, 5);
    }

    &:active {
      background-color: darken($facebook-color, 10);
    }
  }
  &.btn-google {
    background-color: $google-color;
    color: white;

    &:hover {
      background-color: darken($google-color, 5);
    }

    &:active {
      background-color: darken($google-color, 10);
    }
  }
}